Forum Linux.debian/ubuntu HP dv1000 et le Wifi

Posté par  .
Étiquettes : aucune
0
25
avr.
2006
Bonjour à tous.

Je cherche à faire fonctionner ma carte wifi intégrée à mon pc portable. Un hp DV1000

Pour la carte wifi j'ai vu qu'il s'agissait une intel ... en cherchant sur le net j'ai trouvé des tutos expliquant l'install de Wifi sur Debian de facon tres detaillé.

Mais, lorsque j'arrive a l'instruction suivante :
module-assistant auto-install ipw2200-source

J'obtiens l'erreur :
les entetes du noyau pour la version cible n'ont pas pu etre trouve et vous n'avez pas indique d'autre entete valable a utiliser

veuillez indiquer le repertoire source a utiliser pour la construction avec l'option --kernel-dir de module-assistant

J'ai pris les sources ici : http://www.kernel.org/pub/linux/kernel/v2.4/

Puis je relance en indiquant mes sources :
module-assistant --kernel-dir /usr/src/linux-2.4.26 auto-install ipw2200-source

attention /usr/src/linux-2.4.26 semble contenir des sources de noyau non configures

??

Houla... quoi donc il me dit ?



--
Sébastien Gamier
sgamier@yahoo.fr
http://sgamier.suprglu.com/
http://www.gamier.net
http://sgamier.blogspot.com/
http://autoconstruction.blogspot.com/
  • # euh...

    Posté par  (site Web personnel) . Évalué à 2.

    pourquoi tu as installé des headers différents que de ton noyau ?

    si tu fais
    apt-get install kernel-headers

    ca devrait te les installer. et tu pourras compiler peinard.
    • [^] # Re: euh...

      Posté par  . Évalué à 1.

      En fait, la première fois, il n'est pas content parce qu'il ne trouve pas les headers de ton noyau (inclus dans la source) qui lui permetteront de compiler ton module.

      La deuxième fois, il n'est toujours pas content parce que tu lui a mis des sources qui n'ont pas été compilées et qui en plus ne sont pas celles du noyau que tu utilises !

      Si tu utlises le dernier noyau officiel debian de ton dépot,

      apt-get install kernel-headers devrait fonctionner
  • # m-a prepare

    Posté par  . Évalué à 1.

    Il te manque l'étape de préparation de module-assistant.
    Vois la man page de m-a, section prepare.
    • [^] # Re: m-a prepare

      Posté par  . Évalué à 1.

      Bonsoir,

      Voici les explications :

      # uname -r
      2.4.26

      # module-assistant prepare
      Getting source for kernel version: 2.4.26
      apt-get install kernel-headers-2.4.26
      Lecture des listes de paquets... Fait
      Construction de l'arbre des dépendances... Fait
      E: Impossible de trouver le paquet kernel-headers-2.4.26
      apt-get install build-essential
      Lecture des listes de paquets... Fait
      Construction de l'arbre des dépendances... Fait
      build-essential est déjà la plus récente version disponible.
      0 mis à jour, 0 nouvellement installés, 0 à enlever et 964 non mis à jour.


      Bon et bien voila pourquoi j'ai telechargé les sources du 2.4.26 ..

      Que puis-je faire avec cela ?

      Sebastien

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.